Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui
Class SelectLanguageWindow

    java.lang.Object
      semorg.gui.SelectLanguageWindow

    public class SelectLanguageWindow

extends Object

This class provides a window for selecting the language of the application.

Field Summary
`private org.eclipse.swt.widgets.Button` | `abortButton` The abort button to discard the changes made to the language settings.
`private org.eclipse.swt.widgets.Button` | `okButton` The ok button to confirm the changes made to the language settings.
`private org.eclipse.swt.widgets.Shell` | `parent`
`private org.eclipse.swt.widgets.Combo` | `selectLangCombo` The combo field of this window allowing to change the language.
`private org.eclipse.swt.widgets.Shell` | `shell` The shell.

Constructor Summary
`SelectLanguageWindow(org.eclipse.swt.widgets.Shell parent)` Creates an instance of the class using the given arguments.

Method Summary
`private int` | `getCurrentLanguage()` Retrieves the actual language and returns its name as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shell

    private org.eclipse.swt.widgets.Shell shell

  The shell.

### parent

    private org.eclipse.swt.widgets.Shell parent

### selectLangCombo

    private org.eclipse.swt.widgets.Combo selectLangCombo

  The combo field of this window allowing to change the language.

### okButton

    private org.eclipse.swt.widgets.Button okButton

  The ok button to confirm the changes made to the language settings.

### abortButton

    private org.eclipse.swt.widgets.Button abortButton

  The abort button to discard the changes made to the language settings.

Constructor Detail

### SelectLanguageWindow

    public SelectLanguageWindow(org.eclipse.swt.widgets.Shell parent)

  Creates an instance of the class using the given arguments.

  Parameters:
    `parent` - the parent shell of this window.

Method Detail

### getCurrentLanguage

    private int getCurrentLanguage()

  Retrieves the actual language and returns its name as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD